[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCustomIcon.GetDescription

Gets metadata which describes the icon image at the specified position in the image list.

## Declaration

Source position: graphics.pp line 1659

`public procedure TCustomIcon.GetDescription(`
`Aindex: Integer;`
`out AFormat: TPixelFormat;`
`out AHeight: Word;`
`out AWidth: Word`
`);`

## Arguments

`Aindex` |  | Aindex - the Index value for the Icon.
`AFormat` |  | AFormat - the Pixel Format for the Icon.
`AHeight` |  | AHeight - the height of the Icon.
`AWidth` |  | AWidth - the width of the Icon.

## Description

GetDescription is used to get image metadata which describes the icon image at the position specified in AIndex. AFormat, AHeight, and AWidth are output parameters where the corresponding values from the TIconImage instance are stored.

GetDescription accesses the image list in the internal TSharedIcon instance used in the class.

## See also

TIconImage |  | TIconImage - a primitive Icon class with handles for the Bitmap, Mask and Palette.
TSharedIcon |  | Implements a reference-counted shared Icon image type.
TPixelFormat |  | Represents storage formats for pixels in image data.